MKDIR(1)

NAME
mkdir - make a directory

SYNOPSIS
mkdir [ -p ] dirname...

DESCRIPTION
mkdir creates directories. Standard entries, `.', for the directory itself, and `..' for its parent, are made automatically.

The -p flag allows missing parent directories to be created as needed.

With the exception of the set-gid bit, the current umask(2V) setting determines the mode in which directories are created. The new directory inherits the set-gid bit of the parent directory. Modes may be modified after creation by using chmod(1V).

mkdir requires write permission in the parent directory.

SEE ALSO
chmod(1V), rm(1), mkdir(2V), umask(2V)